Message: [GEANT4 10.0.1] g4py compilation error and fix Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None [GEANT4 10.0.1] g4py compilation error and fix 

Forum: Installation and Configuration
Date: 14 Apr, 2014
From: Jan Christoph Terasa <Jan Christoph Terasa>

While compiling g4py with GEANT4 10.0.1 I encountered the following compilation error:

/home/data/dev/geant4/geant4-src/geant4.10.00.p01/environments/g4py/source/geometry/pyG4Polycone.cc: In function ‘void export_G4Polycone()’:
/home/data/dev/geant4/geant4-src/geant4.10.00.p01/environments/g4py/source/geometry/pyG4Polycone.cc:99:29: error: ‘IsGeneric’ is not a member of ‘G4Polycone’
     .def("IsGeneric",      &G4Polycone::IsGeneric)
                             ^

which I fixed by removing that line from the source code, since that method is no longer defined.

   Attachment:
      http://hypernews.slac.stanford.edu/HyperNews/geant4/get/AUX/2014/04/14/06.17-20944-pyG4Polycone.patch

Christoph

 Add Message Add Message
to: "[GEANT4 10.0.1] g4py compilation error and fix"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]